int dispatch_client_write(uint32_t chanID, uint32_t clientID, const char *buf, size_t size, int nonblock);
int dispatch_client_read(uint32_t chanID, uint32_t clientID, char *buf, size_t size, int nonblock);
int dispatch_client_release(uint32_t chanID, uint32_t clientID);
void dispatch_uninit(void);

/* Put msg into the rlist of dst (removing oldest message from the rlist if
   needed. nonblock_unicast_write should be 1 if the write is both unicast
   and is O_NONBLOCK. If dst rlist is full and can_block is 1, attempt to
   block and wait until rlist has an empty slot. When force is 1, bytpass
   rlist length limit.
   Returns:
    - negative on error (-errno, should be returned)
    - 0 when eof should be returned
    - 1 on success
*/
int insert_msg_in_rlist(client_t *dst, message_t *msg, int nonblock_unicast_write, int can_block, int force);


